4 Replies Latest reply on Apr 11, 2013 9:48 AM by Arunkumar Murugan

    Error creating new RhoMobile project in 2.1.1.7

    Ron Wilson

      Had previous RhoStudio installed and working fine.  Uninstalled and just loaded 2.1.1.7 (this is a Windows 7 - 64 bit install).  Trying to create an initial test project (RhoMobile application) in both IDE and command line and getting 'Cannot find Rhodes, need version equal or greater 3.2.0...' error.  Here is what is showing in the build console.  The files being referenced are there.  Any ideas what I can do to fix this?

       

      Thanks in advance...

       

      CMD: rhodes app RhoMobileApplication1

      C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.

      C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': 193: %1 is not a valid Win32 application.   - C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/1.9.1/i386-mingw32/digest/sha1.so (LoadError)

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:182:in `block in require'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:547:in `new_constants_in'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:182:in `require'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/uuid-2.3.5/lib/uuid.rb:15:in `<top (required)>'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:182:in `block in require'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:547:in `new_constants_in'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:182:in `require'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/rhodes-3.4.2/res/generators/rhogen.rb:7:in `<top (required)>'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/rhodes-3.4.2/bin/rhogen:5:in `<top (required)>'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/rhodes-3.4.2/bin/rhodes:4:in `load'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/lib/ruby/gems/1.9.1/gems/rhodes-3.4.2/bin/rhodes:4:in `<top (required)>'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/bin/rhodes:23:in `load'

      from C:/MotorolaRhoMobileSuite2.1.1.7/ruby/bin/rhodes:23:in `<main>'

      RET: 1